@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background-color: var(--background-subm2);
  position: relative;
}

.aside {
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
  flex: 1 1;
  &-inner {
    max-width: 1200px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    display: grid;
    grid-gap: 40px;
    grid-template-areas: "content side";
    grid-template-columns: 900px 250px;
    grid-template-rows: auto;
    @include mq-down(xl) {
      display: block;
      width: calc(100% - 40px);
    }
  }
}

.contents {
  width: auto;
  height: 100%;
  position: relative;
  grid-area: content;
  &-inner {
    width: 100%;
    height: 100%;
    position: relative;
  }
  &-title {
    width: 100%;
    text-align: center;
    font-family: var(--default-font-family);
    font-size: 32px;
    color: var(--element-default);
    margin-top: 64px;
    font-weight: bold;
  }
  &-items {
    width: 100%;
    height: 100%;
    padding: 64px 0;
    padding-bottom: 180px;
    @include mq-down(xl) {
      padding-bottom: 44px;
    }
  }
  &-profile {
    position: relative;
    width: auto;
    height: 100%;
    display: none;
    @include mq-down(xl) {
      display: block;
      margin: 20px auto;
      padding: 20px;
      padding-top: 32px;
      background-color: var(--background-root);
    }
  }
}

.side {
  position: relative;
  width: auto;
  height: 100%;
  grid-area: side;
  @include mq-down(xl) {
    display: none;
  }
  &-inner {
    position: sticky;
    top: 120px;
    @include mq-down(xxl) {
      top: 88px;
    }
  }
}